Bug 12533 - Improve authority search result display
Summary: Improve authority search result display
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks: 27125
  Show dependency treegraph
 
Reported: 2014-07-06 11:37 UTC by Iming Chan
Modified: 2020-12-01 13:26 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch changes authority record search results, linking each heading to the corresponding detail page, and adding column in the results table showing the heading type.
Version(s) released in:
20.11.00


Attachments
Bug 12533: Improve authority search result display (13.72 KB, patch)
2019-03-06 18:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12533: Improve authority search result display (13.78 KB, patch)
2019-04-25 12:41 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 12533: Improve authority search result display (13.88 KB, patch)
2019-04-25 13:18 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 12533: Improve authority search result display (13.90 KB, patch)
2020-10-21 15:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of new modal in authority linker (100.15 KB, image/png)
2020-10-22 12:11 UTC, Katrin Fischer
Details
Bug 12533: (follow-up) Add CSS to preview display of authority MARC (3.61 KB, patch)
2020-10-22 12:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12533: Improve authority search result display (14.01 KB, patch)
2020-10-22 12:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12533: (follow-up) Add CSS to preview display of authority MARC (3.67 KB, patch)
2020-10-22 12:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Iming Chan 2014-07-06 11:37:11 UTC
The current authority search result display can be improved by:

1. Relocate Heading Type (i.e. Personal name, Geographic name) to its own column;

2. Introduce hyperlink to each heading, so users can click them for more information.  This will then free up the existing "Detail" column for "Heading Type" above.

3. Rename column heading "Used in" to "Record(s)", and the column simply show number of linked bibliographic record(s).  Click on this number will take to the bibliographic concerned, unless there are more than one, then a result summary list will display instead.

4. Column heading name "Action" to replace blank space/missing label above Edit/Merge column.

5. If applicable, insert double dashes (--) between main and subfield headings, so they are displayed like "Australia--History--21st century" instead of "Australia History 21st century"!  So much better for reading when doing authority works.

6. The final result will have columns (from left to right):

Heading | Type | Record(s) | Action (Edit/Merge)
Comment 1 Marjorie Barry-Vila 2017-10-18 14:31:23 UTC
+1 !

I add that a marc21 view would be helpful too.

Regards,

Marjorie
Comment 2 Owen Leonard 2019-03-06 18:17:19 UTC Comment hidden (obsolete)
Comment 3 Claire Gravely 2019-04-25 12:41:47 UTC Comment hidden (obsolete)
Comment 4 PTFS Europe Sandboxes 2019-04-25 13:18:14 UTC
Patch tested with a sandbox, by Marjorie Barry-Vila <marjorie.barry-vila@collecto.ca>
Comment 5 PTFS Europe Sandboxes 2019-04-25 13:18:38 UTC
Created attachment 88776 [details] [review]
Bug 12533: Improve authority search result display

This patch implements a few changes in the way authority records are
displayed in search results.

 - In most cases heading type is now displayed as a separate column in
   the table of search results.
 - The heading itself is now linked rather than a separate "details"
   link.

In the authority search results for MARC editor plugins the heading link
triggers a modal with the authority details instead of linking to a
separate page.

To test, apply the patch and go to Authorities.

 - Perform an authority search which will return results.
   - In the search results headings should be linked to the
     corresponding detail page.
   - There should be a separate column for heading type.
 - Go to Cataloging and create a new record using a framework which has
   a field linked to an authority type (e.g. 100a -> PERSO_NAME ).
   - Perform a search which will return results.
   - In the search results, clicking a heading link should trigger a
     modal window with the authority details.
     - Test multiple entries in the results and confirm that each
       time the correct data is loaded into the modal window.
   - Test the same process for a field which is linked to the
     unimarc_field_210c.pl plugin.
 - Go to Tools -> Batch record modification and submit multiple
   authority record numbers.
   - In the results list the heading should be linked correctly to the
     corresponding detail page. Heading type is not present in this
     view.
   - Perform the same test with batch record deletion.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Marjorie Barry-Vila <marjorie.barry-vila@collecto.ca>
Comment 6 Katrin Fischer 2019-04-26 06:07:59 UTC
Comment on attachment 88776 [details] [review]
Bug 12533: Improve authority search result display

Review of attachment 88776 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/includes/authorities-search-results.inc
@@ -56,2 @@
>  [% BLOCK authresult %]
> -    [% IF ( summary.label ) %][% summary.label | html %]:[% END %]

This all seems to work well, but i am in doubt about this line here. I think the summary feature is only used by UNIMARC, but are we sure this has no side effects?
Comment 7 Katrin Fischer 2019-04-26 06:15:32 UTC
I've tried this:
http://koha.1045719.n5.nabble.com/Authority-Type-Help-in-Koha-td3062760.html

But didn't seem to get it to work. I Notice it displays on top without getting interpreted. 

Can you have a look?
Comment 8 Owen Leonard 2020-10-21 15:09:35 UTC
Created attachment 112104 [details] [review]
Bug 12533: Improve authority search result display

This patch implements a few changes in the way authority records are
displayed in search results.

- In most cases heading type is now displayed as a separate column in
  the table of search results.
- The heading itself is now linked rather than a separate "details"
  link.

In the authority search results for MARC editor plugins the heading link
triggers a modal with the authority details instead of linking to a
separate page.

To test, apply the patch and go to Authorities.

- Perform an authority search which will return results.
- In the search results headings should be linked to the
  corresponding detail page.
- There should be a separate column for heading type.
- Go to Cataloging and create a new record using a framework which has
  a field linked to an authority type (e.g. 100a -> PERSO_NAME ).
- Perform a search which will return results.
- In the search results, clicking a heading link should trigger a
  modal window with the authority details.
- Test multiple entries in the results and confirm that each
  time the correct data is loaded into the modal window.
- Test the same process for a field which is linked to the
  unimarc_field_210c.pl plugin.
- Go to Tools -> Batch record modification and submit multiple
  authority record numbers.
- In the results list the heading should be linked correctly to the
  corresponding detail page. Heading type is not present in this
  view.
- Perform the same test with batch record deletion.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Marjorie Barry-Vila <marjorie.barry-vila@collecto.ca>
Comment 9 Owen Leonard 2020-10-21 15:11:27 UTC
(In reply to Katrin Fischer from comment #6)
> >  [% BLOCK authresult %]
> > -    [% IF ( summary.label ) %][% summary.label | html %]:[% END %]

I should have submitted this as a followup but I got lost during rebasing. This change has been removed.
Comment 10 Katrin Fischer 2020-10-22 12:04:33 UTC
Overall I like the changes, but could we improve readability of the modal a bit with CSS? At the moment the text all flows together and it's hard to distinguish labels and content.
Comment 11 Katrin Fischer 2020-10-22 12:11:44 UTC
Created attachment 112175 [details]
Screenshot of new modal in authority linker
Comment 12 Owen Leonard 2020-10-22 12:29:13 UTC
Created attachment 112183 [details] [review]
Bug 12533: (follow-up) Add CSS to preview display of authority MARC

This patch adds the same CSS used by authorities/detail.tt to the
modal preview of the authority record shown in the authorities search
result popup.
Comment 13 Katrin Fischer 2020-10-22 12:38:21 UTC
Created attachment 112185 [details] [review]
Bug 12533: Improve authority search result display

This patch implements a few changes in the way authority records are
displayed in search results.

- In most cases heading type is now displayed as a separate column in
  the table of search results.
- The heading itself is now linked rather than a separate "details"
  link.

In the authority search results for MARC editor plugins the heading link
triggers a modal with the authority details instead of linking to a
separate page.

To test, apply the patch and go to Authorities.

- Perform an authority search which will return results.
- In the search results headings should be linked to the
  corresponding detail page.
- There should be a separate column for heading type.
- Go to Cataloging and create a new record using a framework which has
  a field linked to an authority type (e.g. 100a -> PERSO_NAME ).
- Perform a search which will return results.
- In the search results, clicking a heading link should trigger a
  modal window with the authority details.
- Test multiple entries in the results and confirm that each
  time the correct data is loaded into the modal window.
- Test the same process for a field which is linked to the
  unimarc_field_210c.pl plugin.
- Go to Tools -> Batch record modification and submit multiple
  authority record numbers.
- In the results list the heading should be linked correctly to the
  corresponding detail page. Heading type is not present in this
  view.
- Perform the same test with batch record deletion.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Marjorie Barry-Vila <marjorie.barry-vila@collecto.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2020-10-22 12:38:27 UTC
Created attachment 112186 [details] [review]
Bug 12533: (follow-up) Add CSS to preview display of authority MARC

This patch adds the same CSS used by authorities/detail.tt to the
modal preview of the authority record shown in the authorities search
result popup.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Jonathan Druart 2020-11-04 12:02:05 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 16 Lucas Gass 2020-11-16 21:15:30 UTC
enhancement will not be backported to 20.05.x